org.gradle.plugins.ide.eclipse.model

## Class ProjectDependency

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
  - - org.gradle.plugins.ide.eclipse.model.ProjectDependency

- All Implemented Interfaces:
    ClasspathEntry

      public class ProjectDependency
      extends AbstractClasspathEntry

  A classpath entry representing a project dependency.

- - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `accessRules, COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectDependency(Node node)`
    `ProjectDependency(String path)` Create a dependency on another Eclipse project.
    `ProjectDependency(String path, String gradlePath)` Deprecated. Use `ProjectDependency(String)` instead

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGradlePath()` Deprecated.
    `String` | `getKind()`
    `void` | `setGradlePath(String gradlePath)` Deprecated.
    `String` | `toString()`

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `addClasspathEntry, appendNode, equals, getAccessRules, getEntryAttributes, getNativeLibraryLocation, getPath, hashCode, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, writeEntryAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectDependency

          public ProjectDependency(Node node)

    - #### ProjectDependency

          public ProjectDependency(String path)

      Create a dependency on another Eclipse project.
      Parameters:
        `path` - The path to the Eclipse project, which is the name of the eclipse project preceded by "/".

    - #### ProjectDependency

          @Deprecated
          public ProjectDependency(String path,
                                      String gradlePath)

      Deprecated. Use `ProjectDependency(String)` instead
      Create a dependency on another Eclipse project.

  - ### Method Detail

    - #### getGradlePath

          @Deprecated
          public String getGradlePath()

      Deprecated.

    - #### setGradlePath

          @Deprecated
          public void setGradlePath(String gradlePath)

      Deprecated.

    - #### getKind

          public String getKind()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractClasspathEntry`